org.omg.CORBA

## Interface DynFixed

- All Superinterfaces:
    DynAny, Object

  Deprecated.
  Use the new DynFixed instead

      @Deprecated
      public interface DynFixed
      extends Object, DynAny

  Represents a `DynAny` object that is associated with an IDL fixed type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `byte[]` | `get_value()` | Deprecated. Returns the value of the fixed type represented in this `DynFixed` object.
    `void` | `set_value(byte[] val)` | Deprecated. Sets the given fixed type instance as the value for this `DynFixed` object.

    - ### Methods inherited from interface org.omg.CORBA.DynAny

      `assign, copy, current_component, destroy, from_any, get_any, get_boolean, get_char, get_double, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

    - ### Methods inherited from interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

- - ### Method Detail

    - #### get_value

          byte[] get_value()

      Deprecated.
      Returns the value of the fixed type represented in this `DynFixed` object.
      Returns:
        the value as a byte array
      See Also:
        `set_value(byte[])`

    - #### set_value

          void set_value(byte[] val)
                  throws InvalidValue

      Deprecated.
      Sets the given fixed type instance as the value for this `DynFixed` object.
      Parameters:
        `val` - the value of the fixed type as a byte array
      Throws:
        `InvalidValue` - if the given argument is bad
      See Also:
        `get_value()`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.